Package org.silverpeas.components.classifieds

## Class ClassifiedsInstanceRoutingMap

- java.lang.Object
- - org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap
  - - org.silverpeas.components.classifieds.ClassifiedsInstanceRoutingMap

- All Implemented Interfaces:
    `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`

      @Technical
      @Bean
      @Named
      public class ClassifiedsInstanceRoutingMap
      extends org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap

  Implementation of the routing map for the classifieds as the way to render the view page of a given classified is specific to this application.
  Author:
    mmoquillon

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap

      `NAME_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedsInstanceRoutingMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getViewPage​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap

      `getBaseForPages, getEditionPage, getHomePage, getInstanceId, getPermalink, getWebResourceUriBuilder, newUriBuilder, uriBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifiedsInstanceRoutingMap

          public ClassifiedsInstanceRoutingMap()

  - ### Method Detail

    - #### getViewPage

          public URI getViewPage​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)

      Specified by:
        `getViewPage` in interface `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`
      Overrides:
        `getViewPage` in class `org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap`